Loading...
Searching...
No Matches
assetmgrmodel::AssetStripConfig Interface Reference

Asset Strip Config interface. More...

## Classes

struct | LEDColor
| The LED color in RGB format, 8 bit per channel. More...
struct | RackUnitSettings
| Settings for a single rack unit (LED state) More...
struct | RackUnitSettingsChangedEvent
| Event: A rack unit's settings were changed. More...
struct | StripSettings
| Settings for this Asset Strip. More...
struct | StripSettingsChangedEvent
| Event: Asset strip settings were changed. More...

## Public Types

enum | ScanMode { SCANMODE_DISABLED , SCANMODE_BOTH }
| AssetStripConfig scan mode is active More...
enum | NumberingMode { TOP_DOWN , BOTTOM_UP }
| AssetStripConfig rack unit numbering mode More...
enum | Orientation { TOP_CONNECTOR , BOTTOM_CONNECTOR }
| AssetStripConfig orientation More...
enum | LEDOperationMode { LED_OPERATION_MANUAL , LED_OPERATION_AUTO }
| Operation mode for the LED of a single rack unit. More...
enum | LEDMode { LED_MODE_ON , LED_MODE_OFF , LED_MODE_BLINK_FAST , LED_MODE_BLINK_SLOW }
| Mode for the LED of a single rack unit. More...

## Public Member Functions

StripSettings | getStripSettings ()
| Get the asset strip settings which are not rack unit specific. More...
int | setStripSettings (in StripSettings settings)
| Set the asset strip settings which are not rack unit specific. More...
int | getRackUnitSettings (in int rackUnitNumber, out RackUnitSettings settings)
| Get settings of a rack unit at once. More...
vector< RackUnitSettings > | getAllRackUnitSettings ()
| Get settings for all rack units. More...
int | setRackUnitSettings (in int rackUnitNumber, in RackUnitSettings settings)
| Set all settings of the specified rack unit at once. More...
int | setMultipleRackUnitSettings (in map< int, RackUnitSettings > settings)
| Set all settings of multiple rack units at once. More...

## Detailed Description

Asset Strip Config interface.

## Member Enumeration Documentation

## LEDMode

enum assetmgrmodel::AssetStripConfig::LEDMode

Mode for the LED of a single rack unit.

Enumerator
LED_MODE_ON | LED on.
LED_MODE_OFF | LED off.
LED_MODE_BLINK_FAST | LED is blinking (fast)
LED_MODE_BLINK_SLOW | LED is blinking (slow)

## LEDOperationMode

enum assetmgrmodel::AssetStripConfig::LEDOperationMode

Operation mode for the LED of a single rack unit.

The LED may either be manually controlled or its color may be chosen automatically depending on whether an asset tag is connected or not. In automatic mode the LED is always on.

Enumerator
LED_OPERATION_MANUAL | LED color and mode is manually controlled.
LED_OPERATION_AUTO | LED color controlled automatically, LED always on.

## NumberingMode

enum assetmgrmodel::AssetStripConfig::NumberingMode

AssetStripConfig rack unit numbering mode

Indicates the way the rack unit positions are defined. Basically this determines what number are 'written/printed' at a specific rack unit on the rack.

An additional numberingOffset may be specified in the settings if the numbering does not start at the default 1.

Enumerator
TOP_DOWN | numbering goes from top to bottom, top is the smallest number
BOTTOM_UP | numbering goes from bottom to top, bottom is the smallest number

## Orientation

enum assetmgrmodel::AssetStripConfig::Orientation

AssetStripConfig orientation

The asset strip may be mounted in a rack a) with its cable connector on top, growing top->bottom b) with its cable connector on bottom, growing bottom->top

This enumeration indicates the mounting option. It is detected automatically and writes to the setting are ignored.

Enumerator
TOP_CONNECTOR | cable connector on top, strip growing top->bottom
BOTTOM_CONNECTOR | cable connector on top, strip growing bottom->top

## ScanMode

enum assetmgrmodel::AssetStripConfig::ScanMode

AssetStripConfig scan mode is active

This is a demonstration feature providing a 'running lights' kind of effect where not all LEDs are lit statically (depending on their mode) but only a few LED which change all the time.

Enumerator
SCANMODE_DISABLED | LED scanmode is disabled, all LEDs are lit up statically.
SCANMODE_BOTH | LED scanmode is enabled providing a 'running light' effect.

## Member Function Documentation

## getAllRackUnitSettings()

vector< RackUnitSettings > assetmgrmodel::AssetStripConfig::getAllRackUnitSettings | ( |  | ) |

Get settings for all rack units.

Returns
  Result: the rack unit settings

## getRackUnitSettings()

int assetmgrmodel::AssetStripConfig::getRackUnitSettings | ( | in int | rackUnitNumber,
|  | out RackUnitSettings | settings
| ) |  |

Get settings of a rack unit at once.

Parameters

  rackUnitNumber | rack unit to get the settings for, range 0..rackUnitCount-1
  settings | settings for this rack unit

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM rack unit count exceeded

## getStripSettings()

StripSettings assetmgrmodel::AssetStripConfig::getStripSettings | ( |  | ) |

Get the asset strip settings which are not rack unit specific.

Returns
  settings settings for this asset strip

## setMultipleRackUnitSettings()

int assetmgrmodel::AssetStripConfig::setMultipleRackUnitSettings | ( | in map< int, RackUnitSettings > | settings | ) |

Set all settings of multiple rack units at once.

Parameters

  settings | map of rack units and their settings

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM one or more of the settings is invalid (rack unit count exceeded or color/mode not supported, rack unit count and setting count differ...)

## setRackUnitSettings()

int assetmgrmodel::AssetStripConfig::setRackUnitSettings | ( | in int | rackUnitNumber,
|  | in RackUnitSettings | settings
| ) |  |

Set all settings of the specified rack unit at once.

The addressed rack unit is part of the parameter

Parameters

  rackUnitNumber | rack unit to set the settings for, range 0..rackUnitCount-1
  settings | settings for this rack unit

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM one or more of the settings is invalid

## setStripSettings()

int assetmgrmodel::AssetStripConfig::setStripSettings | ( | in StripSettings | settings | ) |

Set the asset strip settings which are not rack unit specific.

Parameters

  settings | Settings for this asset strip

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM one or more of the settings is invalid

The documentation for this interface was generated from the following file:

- AssetStripConfig.idl